Bug 444587 - NetworkManager hangs on shutdown (nm-system-settings: Could not get the system bus)
NetworkManager hangs on shutdown (nm-system-settings: Could not get the syste...
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-29 07:45 EDT by Mark McLoughlin
Modified: 2008-05-06 05:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 05:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
See backtrace in /var/log/messages during logout (66.61 KB, text/plain)
2008-05-02 11:12 EDT, David Timms
no flags Details

  None (edit)
Description Mark McLoughlin 2008-04-29 07:45:07 EDT
With a fresh install of rawhide/F9 in a KVM guest, I'm seeing shutdown hang with:

  nm-system-settings: Could not get the system bus.

Also seeing this in /var/log/messages:

  nm-system-settings: disconnected by the system bus.

This is with both NetworkManager-0.7.0-0.9.2.svn3614.fc9.i386 and

Also happens with and without selinux enabled

Seen here too:

Comment 1 Mark McLoughlin 2008-04-29 10:40:38 EDT
Actually, I'm not at all sure the NetworkManager error message has anything to
do with the hang - I think it's actually caused by KVM's virtio drivers

Closing for now
Comment 2 David Timms 2008-05-02 11:12:39 EDT
Created attachment 304392 [details]
See backtrace in /var/log/messages during logout

# service NetworkManager stop
Stopping NetworkManager daemon: 			   [FAILED]
See backtrace in /var/log/messages during logout
This looks different to other NM backtraces I looked at in bugzilla, but I'm
not experienced enough to tell for sure.
Comment 3 David Timms 2008-05-02 11:15:12 EDT
Forgot to mention this trace is from a real machine {hp compaq nx6320 notebook}.
Comment 4 Mark McLoughlin 2008-05-06 05:56:55 EDT
David: you should log your backtrace separately - my issue was completely
unrelated to NetworkManager and the "could not get the system bus" error just
made it appear it was a NetworkManager issue

Note You need to log in before you can comment on or make changes to this bug.